loci.formats.in

## Class MicromanagerReader.Position

- java.lang.Object
- - loci.formats.in.MicromanagerReader.Position

- Enclosing class:
    MicromanagerReader

      class MicromanagerReader.Position
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `baseTiff`
    `java.lang.String` | `binning`
    `java.lang.String` | `cameraMode`
    `java.lang.String` | `cameraRef`
    `java.lang.String[]` | `channelColors`
    `java.lang.String[]` | `channels`
    `java.lang.String` | `comment`
    `java.lang.String` | `detectorID`
    `java.lang.String` | `detectorManufacturer`
    `java.lang.String` | `detectorModel`
    `ome.units.quantity.Time` | `exposureTime`
    `java.util.HashMap<MicromanagerReader.Index,java.lang.String>` | `fileNameMap`
    `int` | `gain`
    `java.lang.String` | `metadataFile`
    `java.lang.String` | `name`
    `java.lang.Double` | `pixelSize`
    `java.lang.Double[][]` | `positions`
    `java.lang.Double` | `sliceThickness`
    `double` | `temperature`
    `java.util.Vector<java.lang.String>` | `tiffs`
    `java.lang.String` | `time`
    `java.lang.Double[]` | `timestamps`
    `java.util.Vector<java.lang.Double>` | `voltage`
    `java.lang.String` | `xmlFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Position()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFile(int no)`
    `java.lang.String` | `getFile(java.lang.String order, int z, int c, int t, int count, int no)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### baseTiff

          public java.lang.String baseTiff

    - #### tiffs

          public java.util.Vector<java.lang.String> tiffs

    - #### fileNameMap

          public java.util.HashMap<MicromanagerReader.Index,java.lang.String> fileNameMap

    - #### metadataFile

          public java.lang.String metadataFile

    - #### xmlFile

          public java.lang.String xmlFile

    - #### name

          public transient java.lang.String name

    - #### channels

          public java.lang.String[] channels

    - #### channelColors

          public java.lang.String[] channelColors

    - #### comment

          public java.lang.String comment

    - #### time

          public java.lang.String time

    - #### exposureTime

          public ome.units.quantity.Time exposureTime

    - #### sliceThickness

          public java.lang.Double sliceThickness

    - #### pixelSize

          public java.lang.Double pixelSize

    - #### timestamps

          public java.lang.Double[] timestamps

    - #### gain

          public int gain

    - #### binning

          public java.lang.String binning

    - #### detectorID

          public java.lang.String detectorID

    - #### detectorModel

          public java.lang.String detectorModel

    - #### detectorManufacturer

          public java.lang.String detectorManufacturer

    - #### temperature

          public double temperature

    - #### voltage

          public java.util.Vector<java.lang.Double> voltage

    - #### cameraRef

          public java.lang.String cameraRef

    - #### cameraMode

          public java.lang.String cameraMode

    - #### positions

          public java.lang.Double[][] positions

  - ### Constructor Detail

    - #### Position

          Position()

  - ### Method Detail

    - #### getFile

          public java.lang.String getFile(int no)

    - #### getFile

          public java.lang.String getFile(java.lang.String order,
                                          int z,
                                          int c,
                                          int t,
                                          int count,
                                          int no)

Copyright © 2026 Open Microscopy Environment